import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { JobSaved } from './entities/job_saved.entity';

@Injectable()
export class JobSavedService {
  constructor(
    @InjectRepository(JobSaved)
    private jobSavedRepository: Repository<JobSaved>,
  ) {}

  async create(jobSaved: JobSaved): Promise<JobSaved> {
    return this.jobSavedRepository.save(jobSaved);
  }
}
